#version 330

uniform sampler2DRect inputTex;
uniform float transitionProgress=1.0;
uniform float transitionAlpha=1.0;
uniform float baseAlpha=1.0;
uniform sampler2DRect maskTex;
in vec2 fsFragScale;


in vec2 fsTexture;
in float fsMix;
out vec4 outColor;

void main()
{
    outColor = texture(inputTex, fsTexture)*baseAlpha*fsMix;
#ifdef USE_MASK
	outColor.a*=texture(maskTex,gl_FragCoord.xy*fsFragScale).a;
#endif
}


